
ChiliProject - Bug # 480: Issue Journal replies get ignored

Status: Closed Priority: Normal
Author: Ryan Briones Category: Journals / History
Created: 2011-06-16 Assignee: Eric Davis
Updated: 2011-06-17 Due date:
Remote issue URL:
Affected version: unstable
Description: I'm using RC1 in an installation and I'm running into an issue on Issue replies. I set up a bunch of debugging 

statements and found out 
"here":https://github.com/chiliproject/chiliproject/blob/v2.0.0RC2/app/models/mail_handler.rb#L88 the @klass@ 
from the incoming message is issue_journal. Since there is no @receive_issue_journal_reply@ method on 
@MailHandler@ these messages are getting ignored. 

It seems possible that "this 
method":https://github.com/chiliproject/chiliproject/blob/v2.0.0RC2/app/models/mail_handler.rb#L168 is 
supposed to be named @receive_issue_journal_reply@ which is what I did in my instance in order to 
"temporarily" fix the problem.

Debugging this problem sucked my soul out so I'll take another look at possible patches/test cases in the 
morning, but I wanted to get some quick feedback.

Associated revisions
2011-06-17 09:10 pm - Eric Davis
[#480] Fix replying to IssueJournals through email

History
2011-06-17 08:57 am - Felix Schäfer
- Target version set to 2.0.0

- Assignee set to Felix Schäfer

- Category set to Journals / History

Ryan Briones wrote:
> Debugging this problem sucked my soul out so I'll take another look at possible patches/test cases in the morning, but I wanted to get some quick 
feedback.

This is indeed a problem introduced by the migration to the new journaling scheme, thanks for reporting. (and feel free to report early, even before 
debugging it, we might be able to help ;-) )

Anyway, I might be able to have a look at this later on, be sure to update here if you have another/a better fix.

2011-06-17 05:53 pm - Eric Davis
- Assignee changed from Felix Schäfer to Eric Davis

Felix couldn't get to this so I'll take a look at it.

2011-06-17 06:29 pm - Eric Davis
Figured out what caused this. Someone updated an issue which caused an *outbound* email to be sent with a message id like the one below:
<pre>Message-Id: <chiliproject.issue_journal-1467.20110617112053@example.net></pre>

When replied to, the MailHandler parsed out @IssueJournal@ 1467 which as Ryan Briones says, can't be converted to a method.

I'll figure out the best long term way to handle these and fix the code now.

2011-06-17 07:12 pm - Eric Davis
- (deleted custom field) set to unstable

- Status changed from Open to Closed

Fixed in commit:3d164f1 by renaming the @receive_journal_reply@ method. I would like to refactor that and dispatch so journal replies are looked up 
automatically but it can wait until after 2.0.0
